## AudioTrackList

The current list of AudioTrack for a media file.

## Constructor

#### new AudioTrackList(tracksopt)
`tracks/audio-track-list.js`, `line 36`

  Create an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `tracks` | Array.<AudioTrack> | <optional> | [] | A list of `AudioTrack` to instantiate the list with.

  See:

    - Spec

### Extends

- TrackList

### Members

#### length :number
`tracks/track-list.js`, `line 42`

  The current number of `Track`s in the this Trackist.

  Inherited From:
    - TrackList#length

### Methods

#### addTrack(track)
`tracks/audio-track-list.js`, `line 86`

  Add an AudioTrack to the `AudioTrackList`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `track` | AudioTrack | The AudioTrack to add to the list

  ##### Fires:

  - TrackList#event:addtrack
  Overrides:
    - TrackList#addTrack

#### removeTrack(rtrack)
`tracks/track-list.js`, `line 108`

  Remove a Track from the `TrackList`

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `rtrack` | Track | The audio, video, or text track to remove from the list.

  ##### Fires:

  - TrackList#event:removetrack
  Inherited From:
    - TrackList#removeTrack

### Events

#### addtrack
`tracks/track-list.js`, `line 85`

  Triggered when a track is added to a track list.

  ##### Type:

  - EventTarget~Event

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `track` | Track | A reference to track that was added.

  Inherited From:
    - TrackList#event:addtrack

#### change
`tracks/track-list.js`, `line 166`

  Triggered when a different track is selected/enabled.

  ##### Type:

  - EventTarget~Event

  ##### Listeners of This Event:

  - AudioTrackMenuItem#handleTracksChange
  Inherited From:
    - TrackList#event:change

#### removetrack
`tracks/track-list.js`, `line 128`

  Triggered when a track is removed from track list.

  ##### Type:

  - EventTarget~Event

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `track` | Track | A reference to track that was removed.

  Inherited From:
    - TrackList#event:removetrack